{% extends "bootstrap/base.html" %}

{% block title %} Login/SignUp {% endblock %}

{% block content %}

{% block styles %}
{{super()}}
    <link rel="stylesheet" href="{{url_for('static', filename='index.css')}}" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700' rel='stylesheet' type='text/css'>
{% endblock %}

<body>
  <!-- The navbar as set out by bootstrap provides the user with ways of moving around the different menus
         such as sign in and login using url_for()-->
  {% include "navBar.html"%}


<!-- flashed messages will be used to confirm to user information from application layer-->
  {% with messages = get_flashed_messages() %}
    {% if messages %}
      <ul>
        {% for messages in messages %}
          <li>{{messages}}</li>
        {% endfor %}
      </ul>
    {% endif %}
  {% endwith %}

  <h1>Sign Up</h1>

  <form action="" method="post" name="signup">
    {{form.hidden_tag()}}
    <center>

    <table>
      <tr>
        <td><label>First Name</label></td>
        <td>{{form.first_name}}</td>
      </tr>
      {% for error in form.first_name.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
      <tr>
        <td><label>Last Name</label></td>
        <td>{{form.last_name}}</td>
      </tr>
      {% for error in form.last_name.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
      <tr>
        <td><label>Username</label></td>
        <td>{{form.username}}</td>
      </tr>
      {% for error in form.username.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
        <td><label>Email</label></td>
        <td>{{form.email}}</td>
      </tr>
      {% for error in form.email.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
        <td><label>Password</label></td>
        <td>{{form.rawPassword}}</td>
      </tr>
      {% for error in form.rawPassword.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
        <td><label>Confirm Passsword</label></td>
        <td>{{form.confirmPassword}}</td>
      </tr>
      {% for error in form.confirmPassword.errors %}
      <tr>
        <td>
          <span style='color: red;'>[{{ error }}]</span>
        </td>
      </tr>
      {% endfor %}
      <tr>
    </table>
  </center>








    <p><input type="submit" value="submit"/></p>
  </form>

























</body>
{% endblock %}
